# $Revision: 1.18 $, $Date: 2007-02-12 21:23:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Create RPMS from CPAN modules
Summary(pl.UTF-8):	Narzędzie tworzące pakiety RPM z modułów CPAN
Name:		cpan2rpm
Version:	2.028
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/E/EC/ECALDER/%{name}-%{version}.tar.gz
# Source0-md5:	4f85e07dfa848e5b72791aed975e8bc4
Patch0:		%{name}-make.patch
URL:		http://perl.arix.com/cpan2rpm/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cpan2rpm creates RPMs from CPAN packages, automating the locating,
fetching, spec file creation and building of the package.

%description -l pl.UTF-8
cpan2rpm tworzy pakiety RPM z pakietów CPAN, automatycznie je
znajdując, ściągając, tworząc plik spec i budując pakiet.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

# avoid running cpan2rpm and using network
touch cpan2rpm.spec

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpan2rpm.spec,v $
Revision 1.18  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.16  2006/07/30 22:27:49  agaran
- crude patch, otherwise makes broken makefile,

Revision 1.15  2006/07/26 21:49:24  matowy
- added URL

Revision 1.14  2005/07/07 06:33:19  qboosh
- more specific License

Revision 1.13  2005/07/06 04:58:02  glen
- 2.028

Revision 1.12  2005/02/20 21:38:17  darekr
- updated to 2.027

Revision 1.11  2004/05/02 08:16:56  adamg
- updated to 2.026

Revision 1.10  2004/03/05 17:43:31  eothane
- up to 2.024.tar.gz

Revision 1.9  2004/01/16 14:45:56  qboosh
- added Source0 URL, updated to 2.021

Revision 1.8  2004/01/12 20:40:45  aredridel
- fixed install stage

Revision 1.7  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.6  2003/08/06 16:50:02  kloczek

Revision 1.5  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.4  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:46:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/04/22 09:49:36  qboosh
- added pl description and full files list (instead of autogenerated one)

Revision 1.1  2002/04/17 11:46:07  lukasz
- spec adapterized
- fixed setup
- first release for PLD

* Wed Apr 17 2002 Łukasz Trąbiński <lukasz@wsisiz.edu.pl>
- spec adapterized
- fixed setup

* Tue Jan 22 2002 Simon Wilkinson <simon@sxw.org.uk>
- Added nobuild option to not automatically build the RPM
- Tried to move more output to STDERR

* Wed Aug 29 2001 Charlie Brady <charlieb@e-smith.com>
- Be more lenient about white space variants in .rpmmacros file parsing
- Die with more specific message if the requested CPAN module can't be found

* Wed Aug 29 2001 Charlie Brady <charlieb@e-smith.com>
- Remove the version number for perl in the Requires. RPM does not understand
  that 5.6.0 is later than 5.00503

* Thu May 24 2001 Simon Wilkinson <sxw@sxw.org.uk>
- Initial release
